package com.leromro.common.enums;

/**
 * 服务中心结算状态枚举
 */
public enum ServiceCentreSettlementStatusEnum {
    /**
     * 未结算
     */
    PENDING_SETTLEMENT("10", "未结算"),
    /**
     * 审核中
     */
    PENDING_AUDIT("20", "审核中"),
    /**
     * 审核未通过
     */
    REJECTED("30", "审核未通过"),
    /**
     * 打款中
     */
    PENDING_PAYMENT("40", "打款中"),

    /**
     * 已结算
     */
    SETTLED("50", "已结算");



    private final String code;
    private final String message;

    ServiceCentreSettlementStatusEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
